import _createClass from "@babel/runtime/helpers/createClass";
import { createElement } from 'react';
import { makeAutoObservable } from 'mobx';
var PanelDock = /*#__PURE__*/function () {
  function PanelDock(name, config) {
    this.isPanelDock = true;
    this.disabled = false;
    this.name = void 0;
    this.config = void 0;
    this.visible = true;
    this.name = name;
    this.config = config;
    makeAutoObservable(this, {
      isPanelDock: false,
      config: false,
      name: false
    });
  }
  var _proto = PanelDock.prototype;
  _proto.getName = function getName() {
    return this.name;
  };
  _proto.hide = function hide() {
    this.visible = false;
  };
  _proto.show = function show() {
    this.visible = true;
  };
  _proto.toggle = function toggle() {
    this.visible = !this.visible;
  };
  _createClass(PanelDock, [{
    key: "content",
    get: function get() {
      return /*#__PURE__*/createElement(this.config.content, this.config.contentProps);
    }
  }]);
  return PanelDock;
}();
export { PanelDock as default };